SUSE-SA:2006:001: xpdf,kpdf,gpdf,kword

High Nessus Plugin ID 20483


The remote host is missing a vendor-supplied security patch


The remote host is missing the patch for the advisory SUSE-SA:2006:001 (xpdf,kpdf,gpdf,kword).

'infamous41md', Chris Evans and Dirk Mueller discovered multiple places in xpdf code where integer variables are insufficiently checked for range or overflow. Specially crafted PDF files could lead to executing arbitrary code.

Copies of xpdf code are also contained in cups, kpdf, kword, gpdf, libextractor, pdf2html, poppler and tetex. Updates for those are in the works.


Plugin Details

Severity: High

ID: 20483

File Name: suse_SA_2006_001.nasl

Version: $Revision: 1.4 $

Agent: unix

Published: 2006/01/15

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

Required KB Items: Host/SuSE/rpm-list